zenilib: zenilib/jni/external/freetype2/src/type1/t1gload.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
t1gload.c File Reference
`#include <ft2build.h>`
`#include "t1gload.h"`
`#include <FT_INTERNAL_CALC_H>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_OUTLINE_H>`
`#include <FT_INTERNAL_POSTSCRIPT_AUX_H>`
`#include "t1errors.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_t1gload

## Functions

| T1_Compute_Max_Advance (T1_Face face, FT_Pos *max_advance)
| T1_Get_Advances (FT_Face t1face, FT_UInt first, FT_UInt count, FT_Int32 load_flags, FT_Fixed *advances)
| T1_Load_Glyph (FT_GlyphSlot t1glyph, FT_Size t1size, FT_UInt glyph_index, FT_Int32 load_flags)
| T1_Parse_Glyph (T1_Decoder decoder, FT_UInt glyph_index)
| T1_Parse_Glyph_And_Get_Char_String (T1_Decoder decoder, FT_UInt glyph_index, FT_Data *char_string)

## Macro Definition Documentation

#define FT_COMPONENT trace_t1gload

Definition at line 37 of file t1gload.c.

## Function Documentation

T1_Compute_Max_Advance | ( | T1_Face | face,
|  | FT_Pos * | max_advance
| ) |  |

Definition at line 153 of file t1gload.c.

References T1_BuilderRec_::advance, T1_DecoderRec_::buildchar, T1_DecoderRec_::builder, T1_Decoder_FuncsRec_::done, error, FT_ASSERT, FT_RENDER_MODE_NORMAL, T1_FontRec_::glyph_names, T1_Decoder_FuncsRec_::init, T1_DecoderRec_::len_buildchar, T1_BuilderRec_::load_points, T1_BuilderRec_::metrics_only, NULL, T1_FontRec_::num_glyphs, T1_FontRec_::num_subrs, T1_DecoderRec_::num_subrs, T1_FontRec_::subrs, T1_DecoderRec_::subrs, T1_FontRec_::subrs_len, T1_DecoderRec_::subrs_len, PSAux_ServiceRec_::t1_decoder_funcs, T1_Parse_Glyph(), and FT_Vector_::x.

Referenced by T1_Face_Init().

T1_Get_Advances | ( | FT_Face | t1face,
|  | FT_UInt | first,
|  | FT_UInt | count,
|  | FT_Int32 | load_flags,
|  | FT_Fixed * | advances
| ) |  |

Definition at line 211 of file t1gload.c.

References T1_BuilderRec_::advance, T1_DecoderRec_::buildchar, T1_DecoderRec_::builder, error, FIXED_TO_INT, FT_LOAD_VERTICAL_LAYOUT, FT_RENDER_MODE_NORMAL, T1_FontRec_::glyph_names, if(), T1_Decoder_FuncsRec_::init, T1_DecoderRec_::len_buildchar, T1_BuilderRec_::load_points, T1_BuilderRec_::metrics_only, T1_FontRec_::num_subrs, T1_DecoderRec_::num_subrs, T1_FaceRec_::psaux, T1_FontRec_::subrs, T1_DecoderRec_::subrs, T1_FontRec_::subrs_len, T1_DecoderRec_::subrs_len, PSAux_ServiceRec_::t1_decoder_funcs, T1_Parse_Glyph(), T1_FaceRec_::type1, and FT_Vector_::x.

T1_Load_Glyph | ( | FT_GlyphSlot | t1glyph,
|  | FT_Size | t1size,
|  | FT_UInt | glyph_index,
|  | FT_Int32 | load_flags
| ) |  |

Definition at line 269 of file t1gload.c.

References T1_BuilderRec_::advance, T1_BuilderRec_::base, T1_FaceRec_::blend, T1_FaceRec_::buildchar, T1_DecoderRec_::buildchar, T1_DecoderRec_::builder, T1_Decoder_FuncsRec_::done, error, FALSE, FIXED_TO_INT, T1_FontRec_::font_bbox, T1_DecoderRec_::font_matrix, T1_DecoderRec_::font_offset, FT_ASSERT, FT_Bool, FT_BOOL, FT_GLYPH_FORMAT_OUTLINE, FT_LOAD_NO_HINTING, FT_LOAD_NO_RECURSE, FT_LOAD_NO_SCALE, FT_LOAD_TARGET_MODE, FT_LOAD_VERTICAL_LAYOUT, FT_MulFix(), FT_Outline_Get_CBox(), FT_OUTLINE_HIGH_PRECISION, FT_OUTLINE_OWNER, FT_OUTLINE_REVERSE_FILL, FT_Outline_Transform(), FT_Outline_Translate(), ft_synthesize_vertical_metrics(), FT_Vector_Transform(), T1_DecoderRec_::glyph_names, T1_BuilderRec_::hints_funcs, T1_Decoder_FuncsRec_::init, FT_FaceRec_::internal, T1_BuilderRec_::left_bearing, T1_FaceRec_::len_buildchar, T1_DecoderRec_::len_buildchar, FT_Data_::length, FT_Outline_::n_points, T1_BuilderRec_::no_recurse, NULL, FT_FaceRec_::num_glyphs, T1_DecoderRec_::num_subrs, FT_Data_::pointer, FT_Outline_::points, T1_FaceRec_::psaux, T1_FaceRec_::root, T1_DecoderRec_::subrs, T1_DecoderRec_::subrs_len, T1_Parse_Glyph(), T1_Parse_Glyph_And_Get_Char_String(), TRUE, T1_FaceRec_::type1, vec, FT_Vector_::x, T1_GlyphSlotRec_::x_scale, FT_BBox_::xMax, FT_BBox_::xMin, FT_Matrix_::xx, FT_Matrix_::xy, FT_Vector_::y, T1_GlyphSlotRec_::y_scale, FT_BBox_::yMax, FT_BBox_::yMin, FT_Matrix_::yx, and FT_Matrix_::yy.

T1_Parse_Glyph | ( | T1_Decoder | decoder,
|  | FT_UInt | glyph_index
| ) |  |

Definition at line 125 of file t1gload.c.

References error, if(), FT_FaceRec_::internal, T1_FaceRec_::root, and T1_Parse_Glyph_And_Get_Char_String().

Referenced by T1_Compute_Max_Advance(), T1_Get_Advances(), and T1_Load_Glyph().

T1_Parse_Glyph_And_Get_Char_String | ( | T1_Decoder | decoder,
|  | FT_UInt | glyph_index,
|  | FT_Data * | char_string
| ) |  |

Definition at line 58 of file t1gload.c.

References FT_Incremental_MetricsRec_::advance, FT_Incremental_MetricsRec_::advance_v, FT_Incremental_MetricsRec_::bearing_x, FT_Incremental_MetricsRec_::bearing_y, error, FALSE, FIXED_TO_INT, FT_CONFIG_OPTION_INCREMENTAL, if(), INT_TO_FIXED, FT_FaceRec_::internal, T1_FaceRec_::root, and T1_FaceRec_::type1.

Referenced by T1_Load_Glyph(), and T1_Parse_Glyph().